Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl "https://suite.sundaypyjamas.com/api/v1/workspaces/ws_123/storage/path?folderPath=/archive" \ -H "Authorization: Bearer spj_ai_your_api_key_here"
{ "created": true, "folder": { "id": "fold_1", "name": "archive", "path": "/archive" } }
Create and rename folders, and browse the folder tree
POST /api/v1/workspaces/{workspaceId}/storage/folders
PATCH /api/v1/workspaces/{workspaceId}/storage/folders
GET /api/v1/workspaces/{workspaceId}/storage/path
path
1
full
tree
tree=1
{ "path": "/archive", "folders": [ { "id": "fold_2", "name": "2026", "path": "/archive/2026" } ], "files": [ /* StorageFile[] — see Files */ ] }
{ "paths": ["/", "/archive", "/archive/2026", "/uploads"] }
{ "folders": [ /* all folders */ ], "files": [ /* all files */ ] }
folderPath is required
folderPath and newName are required
Unauthorized